Authorization: Bearer ********************{
"academic_year_id": 1,
"department_id": 2,
"class_id": 3,
"group_id": 1,
"shift_id": 1,
"alternates": [
{
"institute_subject_id": 201,
"subject_code": "BIO101",
"subject_name": "Biology"
},
{
"institute_subject_id": 202,
"subject_code": "HMT101",
"subject_name": "Higher Mathematics"
}
],
"class_name": "Class XI",
"group_name": "Science",
"set_name": "A",
"is_active": true
}curl --location 'https://apidev.edufee.online/api/admission-subject-alternate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"academic_year_id": 1,
"department_id": 2,
"class_id": 3,
"group_id": 1,
"shift_id": 1,
"alternates": [
{
"institute_subject_id": 201,
"subject_code": "BIO101",
"subject_name": "Biology"
},
{
"institute_subject_id": 202,
"subject_code": "HMT101",
"subject_name": "Higher Mathematics"
}
],
"class_name": "Class XI",
"group_name": "Science",
"set_name": "A",
"is_active": true
}'{
"errors": null,
"message": "Success",
"status_code": 201,
"payload": {
"data": {
"status": "success",
"message": "Record saved successfully",
"data": {
"institute_details_id": "9",
"academic_year_id": "6",
"department_id": "1",
"class_id": "35",
"group_id": "37",
"class_name": "nine",
"group_name": "science",
"compulsory": "[\"Bangla First Paper\",\"Bangla Second Paper\"]",
"group_base": "[\"Biology\",\"Higher Mathematics\"]",
"uncountable": "[\"Agriculture\"]",
"choosable": "[\"Computer\"]",
"status": "active",
"updated_at": "2025-06-15T13:46:11.000000Z",
"created_at": "2025-06-15T13:46:11.000000Z",
"id": 1
}
}
}
}